/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_printf.h                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/26 14:47:54 by cchauvet          #+#    #+#             */
/*   Updated: 2023/01/05 17:36:39 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef FT_PRINTF_H
# define FT_PRINTF_H
# include <unistd.h>
# include <stdarg.h>

size_t	ft_strlen(const char *s);
char	*ft_strchr(const char *s, int c);
int		ft_isdigit(int c);
int		ft_skipflag(const char *str);
int		ft_isarg(int c);

int		ft_dprintptr(int fd, void *ptr);
int		ft_dprintl_base(int fd, long long n, char *base);
int		ft_dprintul_base(int fd, unsigned long long n, char *base);
int		ft_dprintul(int fd, unsigned long long n);
int		ft_dprintx(int fd, unsigned int n);
int		ft_dprint_upperx(int fd, unsigned int n);
int		ft_dprintflag(int fd, const char *flag, va_list va);
int		ft_dprintarg(int fd, int c, va_list va);
int		ft_dprintstrtab(int fd, char **tab);

int		ft_printf(const char *format, ...);

int		ft_vdprintf(int fd, const char *format, va_list va);

int		ft_putchar_fd(int fd, char c);
int		ft_putstr_fd(int fd, char *str);

#endif
